Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## IDautomationDME
Class DataMatrixEncoder

    java.lang.Object
      |
      +--IDautomationDME.DataMatrixEncoder

All Implemented Interfaces:
  java.io.Serializable

public class DataMatrixEncoder
extends java.lang.Object
implements java.io.Serializable

This is the main DataMatrixEncoder class that generates the DataMatrixEncoder barcode image.

See Also:
  Serialized Form

Field Summary
`static int` | `C104X104`
`static int` | `C10X10`
`static int` | `C120X120`
`static int` | `C12X12`
`static int` | `C12X26`
`static int` | `C12X36`
`static int` | `C132X132`
`static int` | `C144X144`
`static int` | `C14X14`
`static int` | `C16X16`
`static int` | `C16X36`
`static int` | `C16X48`
`static int` | `C18X18`
`static int` | `C20X20`
`static int` | `C22X22`
`static int` | `C24X24`
`static int` | `C26X26`
`static int` | `C32X32`
`static int` | `C36X36`
`static int` | `C40X40`
`static int` | `C44X44`
`static int` | `C48X48`
`static int` | `C52X52`
`static int` | `C64X64`
`static int` | `C72X72`
`static int` | `C80X80`
`static int` | `C88X88`
`static int` | `C8X18`
`static int` | `C8X32`
`static int` | `C96X96`
`java.lang.String` | `code` data to be encoded in the Data Matrix Font.
`static int` | `E_ASCII`
`static int` | `E_AUTO`
`static int` | `E_BASE256`
`static int` | `E_C40`
`static int` | `E_NONE`
`static int` | `E_TEXT`
`int` | `encoding` encoding mode; valid values are E_ASCII (default), E_C40, E_TEXT or E_BASE256.
`java.lang.String` | `fontText` a string of return data formatted to the Data Matrix Font.
`int` | `preferredFormat` sets the preferred format represented by a number; valid values are from 0 (10X10) to 23 (144X144) and from 24 (8X18) to 29 (16X48); The default value is -1 which sets this to automatic; this is also documented in the user manual.
`boolean` | `processTilde` if true ("Y") the tilde (~) will be processed as explained in the Data Matrix user guide.
`boolean` | `reBuild`

Constructor Summary
`DataMatrixEncoder()`

Method Summary
`java.lang.String` | `fontEncode(java.lang.String DataToEncode)` the method that formats and returns a string of data formatted to the Data Matrix Font.
`int` | `getEncodingMode()` get the encoding mode represented by a number; valid values are 0=E_ASCII (default), 1=E_C40, 2=E_TEXT or 3=E_BASE256.
`int` | `getPreferredFormat()` gets the preferred format represented by a number.
`boolean` | `getProcessTilde()`
`void` | `setEncodingMode(int newMode)` sets the encoding mode represented by a number; valid values are 0=E_ASCII (default), 1=E_C40, 2=E_TEXT or 3=E_BASE256.
`void` | `setPreferredFormat(int newFormat)` sets the preferred format represented by a number; valid values are from 0 (10X10) to 23 (144X144) and from 24 (8X18) to 29 (16X48); The default value is -1 which sets this to automatic; this is also documented in the user manual.
`void` | `setProcessTilde(boolean newVal)` if true ("Y") the tilde (~) will be processed as explained in the Data Matrix user guide.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### code

    public java.lang.String code

  data to be encoded in the Data Matrix Font.

### fontText

    public java.lang.String fontText

  a string of return data formatted to the Data Matrix Font.

### processTilde

    public boolean processTilde

  if true ("Y") the tilde (~) will be processed as explained in the Data Matrix user guide. If not it will be treated as a normal character; Default =False.

### encoding

    public int encoding

  encoding mode; valid values are E_ASCII (default), E_C40, E_TEXT or E_BASE256.

### E_AUTO

    public static int E_AUTO

### E_ASCII

    public static int E_ASCII

### E_C40

    public static int E_C40

### E_TEXT

    public static int E_TEXT

### E_BASE256

    public static int E_BASE256

### E_NONE

    public static int E_NONE

### reBuild

    public boolean reBuild

### preferredFormat

    public int preferredFormat

  sets the preferred format represented by a number; valid values are from 0 (10X10) to 23 (144X144) and from 24 (8X18) to 29 (16X48); The default value is -1 which sets this to automatic; this is also documented in the user manual.

### C10X10

    public static final int C10X10

### C12X12

    public static final int C12X12

### C14X14

    public static final int C14X14

### C16X16

    public static final int C16X16

### C18X18

    public static final int C18X18

### C20X20

    public static final int C20X20

### C22X22

    public static final int C22X22

### C24X24

    public static final int C24X24

### C26X26

    public static final int C26X26

### C32X32

    public static final int C32X32

### C36X36

    public static final int C36X36

### C40X40

    public static final int C40X40

### C44X44

    public static final int C44X44

### C48X48

    public static final int C48X48

### C52X52

    public static final int C52X52

### C64X64

    public static final int C64X64

### C72X72

    public static final int C72X72

### C80X80

    public static final int C80X80

### C88X88

    public static final int C88X88

### C96X96

    public static final int C96X96

### C104X104

    public static final int C104X104

### C120X120

    public static final int C120X120

### C132X132

    public static final int C132X132

### C144X144

    public static final int C144X144

### C8X18

    public static final int C8X18

### C8X32

    public static final int C8X32

### C12X26

    public static final int C12X26

### C12X36

    public static final int C12X36

### C16X36

    public static final int C16X36

### C16X48

    public static final int C16X48

Constructor Detail

### DataMatrixEncoder

    public DataMatrixEncoder()

Method Detail

### fontEncode

    public java.lang.String fontEncode(java.lang.String DataToEncode)

  the method that formats and returns a string of data formatted to the Data Matrix Font.

### setProcessTilde

    public void setProcessTilde(boolean newVal)

  if true ("Y") the tilde (~) will be processed as explained in the Data Matrix user guide. If not it will be treated as a normal character; Default =False.

### getProcessTilde

    public boolean getProcessTilde()

### setEncodingMode

    public void setEncodingMode(int newMode)

  sets the encoding mode represented by a number; valid values are 0=E_ASCII (default), 1=E_C40, 2=E_TEXT or 3=E_BASE256.

### getEncodingMode

    public int getEncodingMode()

  get the encoding mode represented by a number; valid values are 0=E_ASCII (default), 1=E_C40, 2=E_TEXT or 3=E_BASE256.

### setPreferredFormat

    public void setPreferredFormat(int newFormat)

  sets the preferred format represented by a number; valid values are from 0 (10X10) to 23 (144X144) and from 24 (8X18) to 29 (16X48); The default value is -1 which sets this to automatic; this is also documented in the user manual.

### getPreferredFormat

    public int getPreferredFormat()

  gets the preferred format represented by a number.

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD